Create shipment point
POST https://delivery-api.paysera.com/rest/v1/shipment-points
Create a new shipment point with contact and address details.
Shipment points can be of type:
sender- Origin address for shipmentsreceiver- Destination address for shipments
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, please refer to the Authentication section.
Request Body​
| Field | Type | Required | Description |
|---|---|---|---|
project_id | string | ✓ | Delivery project identifier |
type | string | ✓ | Shipment point type |
saved | boolean | ✓ | Whether to save this shipment point for future use |
default_contact | boolean | ✓ | Whether this is the default contact for the project |
contact | object | ✓ | |
post_office_id | string | Post office identifier (if delivery to post office) | |
parcel_machine_id | string | Parcel machine identifier (if delivery to parcel machine) | |
additional_info | string | Additional shipment notes or instructions |
Example​
Request​
POST https://delivery-api.paysera.com/rest/v1/shipment-points
Content-Type: application/json
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
{
"type": "sender",
"is_default": true,
"project_id": "proj_123",
"contact": {
"name": "Company ABC",
"phone": "+37060000001",
"email": "[email protected]"
},
"address": {
"country": "LT",
"city": "Vilnius",
"street": "Gedimino pr.",
"house_number": "10",
"apartment_number": "5",
"postal_code": "01103"
}
}
Response​
{
"id": 1,
"type": "sender",
"is_default": true,
"project_id": "proj_123",
"contact": {
"name": "Company ABC",
"phone": "+37060000001",
"email": "[email protected]"
},
"address": {
"country": "LT",
"city": "Vilnius",
"street": "Gedimino pr.",
"house_number": "10",
"apartment_number": "5",
"postal_code": "01103"
}
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://delivery-api.paysera.com
Body REQUIRED
{
"type": "sender",
"is_default": true,
"project_id": "proj_123",
"contact": {
"name": "Company ABC",
"phone": "+37060000001",
"email": "[email protected]"
},
"address": {
"country": "LT",
"city": "Vilnius",
"street": "Gedimino pr.",
"house_number": "10",
"apartment_number": "5",
"postal_code": "01103"
}
}
RESPONSE
Shipment point created successfully
{
"id": 1,
"type": "sender",
"is_default": true,
"project_id": "proj_123",
"contact": {
"name": "Company ABC",
"phone": "+37060000001",
"email": "[email protected]"
},
"address": {
"country": "LT",
"city": "Vilnius",
"street": "Gedimino pr.",
"house_number": "10",
"apartment_number": "5",
"postal_code": "01103"
}
}